#
# spec file for package kactivities5
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define lname   libKF5Activities5
%define _tar_path 5.32
Name:           kactivities5
Version:        5.32.0
Release:        1.3
%define kf5_version %{version}
Summary:        KDE Plasma Activities support
License:        GPL-2.0+
Group:          System/GUI/KDE
Url:            http://projects.kde.org/kactivities
Source:         http://download.kde.org/stable/frameworks/%{_tar_path}/kactivities-%{version}.tar.xz
Source1:        baselibs.conf
%if 0%{?suse_version} > 1325
BuildRequires:  libboost_headers-devel
%else
BuildRequires:  boost-devel
%endif
BuildRequires:  cmake >= 3.0
BuildRequires:  extra-cmake-modules >= %{_tar_path}
BuildRequires:  fdupes
BuildRequires:  kf5-filesystem
BuildRequires:  xz
BuildRequires:  cmake(KF5Config) >= %{_tar_path}
BuildRequires:  cmake(KF5CoreAddons) >= %{_tar_path}
BuildRequires:  cmake(KF5KIO) >= %{_tar_path}
BuildRequires:  cmake(KF5WindowSystem) >= %{_tar_path}
BuildRequires:  cmake(Qt5Core) >= 5.6.0
BuildRequires:  cmake(Qt5DBus) >= 5.6.0
BuildRequires:  cmake(Qt5Gui) >= 5.6.0
BuildRequires:  cmake(Qt5Qml) >= 5.6.0
BuildRequires:  cmake(Qt5Quick) >= 5.6.0
BuildRequires:  cmake(Qt5Sql) >= 5.6.0
BuildRequires:  cmake(Qt5Test) >= 5.6.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Kactivities provides an API for using and interacting with the Plasma Activities Manager.

%package tools
Summary:        Command-line tools for Plasma Activity management
Group:          System/GUI/KDE
Requires:       %lname = %{version}

%description tools
This package provides command-line tools to manipulate Plasma Activities.

%package -n %lname
Summary:        Library for KDE's Plasma Activities support
Group:          System/GUI/KDE

%description -n %lname
Kactivities provides an API for using and interacting with the Plasma Activities Manager.

%package imports
Summary:        KDE Plasma Activities support
Group:          System/GUI/KDE

%description imports
Kactivities provides an API for using and interacting with the Plasma Activities Manager.
QML imports.

%package devel
Summary:        KDE Plasma Activities support
Group:          Development/Libraries/KDE
Requires:       %lname = %{version}
Requires:       extra-cmake-modules >= 1.7.0
Requires:       cmake(Qt5Core) >= 5.6.0

%description devel
Kactivities provides an API for using and interacting with the Plasma Activities Manager.
Development files.

%prep
%setup -q -n kactivities-%{version}

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes %{buildroot}

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files tools
%defattr(-,root,root,-)
%{_bindir}/kactivities-cli

%files -n %lname
%defattr(-,root,root,-)
%{_kf5_libdir}/libKF5Activities.so.*

%files imports
%defattr(-,root,root)
%{_kf5_qmldir}/

%files devel
%defattr(-,root,root)
%{_kf5_libdir}/libKF5Activities.so
%{_kf5_libdir}/cmake/KF5Activities/
%dir %{_kf5_includedir}/*/
%{_kf5_includedir}/*/
%{_kf5_includedir}/*.h
%{_kf5_libdir}/pkgconfig/libKActivities.pc
%{_kf5_mkspecsdir}/qt_KActivities.pri

%changelog
* Sun Mar 19 2017 lbeltrame@kde.org
- Update to 5.32.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.32.0.php
- Changes since 5.31.0:
  * Upgrade ECM and KF5 version requirements for 5.32.0 release.
  * Upgrade KF5 version to 5.32.0.
* Thu Feb  9 2017 hrvoje.senjan@gmail.com
- Update to 5.31.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.31.0.php
* Wed Feb  1 2017 adam.majer@suse.de
- use individual libboost-*-devel packages instead of boost-devel
* Mon Jan  9 2017 hrvoje.senjan@gmail.com
- Update to 5.30.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.30.0.php
* Sun Dec  4 2016 hrvoje.senjan@gmail.com
- Update to 5.29.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.29.0.php
* Sat Nov  5 2016 hrvoje.senjan@gmail.com
- Update to 5.28.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.28.0.php
* Sun Oct  2 2016 hrvoje.senjan@gmail.com
- Update to 5.27.0
  * Sorting activities in the cache alphabetically by name (kde#362774)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.27.0.php
* Tue Sep  6 2016 hrvoje.senjan@gmail.com
- Update to 5.26.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.26.0.php
* Sun Aug  7 2016 hrvoje.senjan@gmail.com
- Update to 5.25.0
  * Qt >= 5.5 is now required
  * [KActivities-CLI] commands for starting and stopping an activity
  * [KActivities-CLI] setting and getting activity name,
    icon and description
  * Added a CLI application for controlling activities
  * Adding scripts to switch to previous and next activities
  * Method for inserting into QFlatSet now returns index along
    with the iterator (kde#365610)
  * Adding ZSH functions for stopping and deleting
    non-current activities
  * Added isCurrent property to KActivities::Info
  * Using constant iterators when searching for activity
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.25.0.php
* Wed Jul  6 2016 hrvoje.senjan@gmail.com
- Update to 5.24.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.24.0.php
* Mon Jun  6 2016 hrvoje.senjan@gmail.com
- Update to 5.23.0
  * Adding runningActivities property to the Consumer
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.23.0.php
* Sat May  7 2016 hrvoje.senjan@gmail.com
- Update to 5.22.0 (boo#980066)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.22.0.php
* Mon Apr  4 2016 hrvoje.senjan@gmail.com
- Update to 5.21.0 (boo#974793)
  * Removed compiler checks now that all frameworks require c++11
  * Removed QML ResourceModel as it is superseeded
    by KAStats::ResultModel
  * Inserting into empty QFlatSet returned an invalid iterator
  * Upgrade Qt version requirement to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.21.0.php
* Sun Mar  6 2016 hrvoje.senjan@gmail.com
- Update to 5.20.0 (boo#970856)
  * Remove dependency on Qt5::Widgets
  * Remove dependency on KDBusAddons
  * Remove dependency on KI18n
  * Remove unused includes
  * Shell scripts output improved
  * Added the data model (ActivitiesModel) showing the activities
    to the library
  * Build only the library by default
  * Remove the service and workspace components from the build
  * Move the library into src/lib from src/lib/core
  * Fix CMake warning
  * Fix crash in activities context menu (boo#952139, kde#351485)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.20.0.php
- Drop upstreamed fix-crash-in-activities-context-menu.patch
* Sun Feb  7 2016 wbauer@tmo.at
- Add fix-crash-in-activities-context-menu.patch: fixes a dolphin
  and desktop crash when right-clicking on a file and opening the
  "Activities" submenu (boo#952139, kde#351485)
* Sat Feb  6 2016 hrvoje.senjan@gmail.com
- Update to 5.19.0 (boo#967668)
  * Don't call exec() from QML (kde#357435)
  * KActivitiesStats library is now in a separate repository
  * Fix crash on exit/logout (boo#965653, kde#348194)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.19.0.php
* Sat Jan  2 2016 hrvoje.senjan@gmail.com
- Update to 5.18.0
  * Streamlined the QML loading for KCM (kde#356832)
  * Work-around for the Qt SQL bug that does not clean up
    connections properly (kde#348194)
  * Merged a plugin that executes applications on
    activity state change
  * Port from KService to KPluginLoader
  * Port plugins to use kcoreaddons_desktop_to_json()
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.18.0.php
* Fri Dec 11 2015 hrvoje.senjan@gmail.com
- Update to 5.17.0
  * Fixed a lock on the first start of the daemon
  * Moving QAction creation to the main thread. (kde#351485)
  * Sometimes clang-format makes a bad decision (kde#355495)
  * Killing potential synchronization issues
  * Use org.qtproject instead of com.trolltech
  * Removing the usage of libkactivities from the plugins
  * KAStats config removed from the API
  * Added linking and unlinking to ResultModel
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.17.0.php
* Sun Nov  8 2015 hrvoje.senjan@gmail.com
- Update to 5.16.0 (boo#955067)
  * Fixing the build against Qt 5.3
  * Moved the boost.optional include to the place that uses it
  * Replacing the boost.optional usage in continuations with a
    slimmer optional_view structure
  * Added support for a custom ordering of linked results
  * Allow QML to invoke activities KCM
  * Adding the support for activity deletion to activities KCM
  * New activity configuration UI
  * New configuration UI that supports adding
    description and wallpaper
  * Settings UI is now properly modularized
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.16.0.php
* Mon Oct  5 2015 hrvoje.senjan@gmail.com
- Update to 5.15.0
  * Using a custom matching function instead of sqlite's glob.
    (kde#352574)
  * Fixed problem with adding a new resource to the model
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.15.0.php
* Tue Sep  8 2015 hrvoje.senjan@gmail.com
- Update to 5.14.0
  * Only spawn one action loader (thread) when the actions of the
    FileItemLinkingPlugin are not initialized (kde#351585)
  * Fixing the build problems introduced by renaming the
    Private classes
  * Add missing boost include path to build on OS X
  * Setting the shortcuts moved to activity settings
  * Setting the private activity mode works
  * Refactor of the settings UI
  * Basic activity methods are functional
  * UI for the activity configuration and deletion pop-ups
  * Basic UI for the activities creation/deletion/configuration
    section in KCM
  * Increased the chunk size for loading the results
  * Added missing include for std::set
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.14.0.php
* Tue Aug  4 2015 hrvoje.senjan@gmail.com
- Update to 5.13.0
  * The Qt version requirement has been bumped from 5.2 to 5.3
  * Debug output has been ported to categorized output, for less
    noise by default
  * Docbook documentation has been reviewed and updated
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.13.0.php
* Sun Jul  5 2015 hrvoje.senjan@gmail.com
- Update to 5.12.0
  * Adding the option not to track the user when in specific activities
    (similar to the 'private browsing' mode in a web browser)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.12.0.php
* Sun Jun  7 2015 hrvoje.senjan@gmail.com
- Update to 5.11.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.11.0.php
* Tue May 26 2015 hrvoje.senjan@gmail.com
- Unconditionally obsolete kactivities4
- Drop kamd-rename.patch (kde#348212, kde#347817)
* Sun May  3 2015 hrvoje.senjan@gmail.com
- Update to 5.10.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.10.0.php
- Added pkgconfig(Qt5Quick) >= 5.2.0 BuildRequires
* Sun Apr 26 2015 hrvoje.senjan@gmail.com
- Obsolete kactivities4 for openSUSE > 13.2
- Apply kamd-rename.patch for <= 13.2
* Sat Apr  4 2015 hrvoje.senjan@gmail.com
- Update to 5.9.0
  * Implemented forgetting a resource
  * Build fixes
  * Added a plugin to register events for KRecentDocument notifications
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.9.0.php
* Sat Mar  7 2015 hrvoje.senjan@gmail.com
- Update to 5.8.0
  * Resources scoring service is now finalized
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.8.0.php
* Sun Feb  8 2015 hrvoje.senjan@gmail.com
- Update to 5.7.0
  * Fixed starting and stopping activities
  * Fixed activity preview showing wrong wallpaper occasionally
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.7.0.php
* Sat Jan  3 2015 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * Introducing the ActivityInfo QML object
  * Linking now supports special values alongside activity ids.
    Supported values:
    :global  - links to all activities
    :current - links to the current activity
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.6.0.php
* Sat Dec  6 2014 hrvoje.senjan@gmail.com
- Update to 5.5.0
  * Fix plugin loading with KDE_INSTALL_USE_QT_SYS_PATHS ON
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.5.0.php
* Sun Nov  2 2014 hrvoje.senjan@gmail.com
- Update to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.4.0.php
* Sat Oct  4 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0
  * Added DBus interface to load plugins at runtime
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.3.0.php
* Tue Sep  9 2014 hrvoje.senjan@gmail.com
- Update to 5.2.0
  * KActivities: reimplementation of the file item plugin for
    linking files to activities
  * For more details please see:
    http://kde.org/announcements/kde-frameworks-5.2.php
- Added kcmutils-devel, kdeclarative-devel, kglobalaccel-devel and
  kxmlgui-devel BuildRequires
- Rebase kamd-rename.patch
* Sat Aug  2 2014 hrvoje.senjan@gmail.com
- Update to 5.1.0
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.1.php
* Mon Jul 28 2014 hrvoje.senjan@gmail.com
- Split out imports to separate package
- Improve devel subpackage summary and description
- Recommends libQt5Sql5-sqlite for sqlite plugin
* Fri Jul 11 2014 hrvoje.senjan@gmail.com
- Define kf5_version within package
* Tue Jul  1 2014 hrvoje.senjan@gmail.com
- Update to 5.0.0
  * Final release of KDE Frameworks 5
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.0.php
* Sun Jun  1 2014 hrvoje.senjan@gmail.com
- Update to 4.100.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta3.php
- Add baselibs.conf
* Tue May 13 2014 hrvoje.senjan@gmail.com
- Mark licence as GPL-2.0+, until the relicensing is done upstream
* Sun May  4 2014 hrvoje.senjan@gmail.com
- Update to 4.99.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta2.php
- Update devel package requires to current reality
- Added kamd-rename.patch: rename kactivitymanagerd binary so it can
  co-exist with kactivities4
* Wed Apr  2 2014 cfarrell@suse.com
- license update: LGPL-2.0+ and GPL-2.0+
  numerous files under plugins subdirectory are GPL-2.0+ (activityranking,
  sqlite etc). Also, please include all COPYING* files in %%doc
* Sat Mar 29 2014 hrvoje.senjan@gmail.com
- Update to 4.98.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta1.php
* Tue Mar  4 2014 hrvoje.senjan@gmail.com
- Update to 4.97.0:
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-alpha2.php
* Mon Feb 10 2014 hrvoje.senjan@gmail.com
- Init kactivities5 package
